### Hierarchy

- unknown
  - MailboxStoragePayload

## Index

### Constructors

- constructor

### Methods

- clearExtraDataMap
- clearPrefixedSealedAndSignedMessage
- getExtraDataMap
- getOwnerPubKeyBytes
- getOwnerPubKeyBytes_asB64
- getOwnerPubKeyBytes_asU8
- getPrefixedSealedAndSignedMessage
- getSenderPubKeyForAddOperationBytes
- getSenderPubKeyForAddOperationBytes_asB64
- getSenderPubKeyForAddOperationBytes_asU8
- hasPrefixedSealedAndSignedMessage
- serializeBinary
- setOwnerPubKeyBytes
- setPrefixedSealedAndSignedMessage
- setSenderPubKeyForAddOperationBytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MailboxStoragePayload(): MailboxStoragePayload

- Inherited from jspb.Message.constructor

  #### Returns MailboxStoragePayload

## Methods

### clearExtraDataMap

- clearExtraDataMap(): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3339

  #### Returns MailboxStoragePayload

### clearPrefixedSealedAndSignedMessage

- clearPrefixedSealedAndSignedMessage(): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3326

  #### Returns MailboxStoragePayload

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3338

  #### Returns Map<string, string>

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3333

  #### Returns string | Uint8Array

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3335

  #### Returns string

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3334

  #### Returns Uint8Array

### getPrefixedSealedAndSignedMessage

- getPrefixedSealedAndSignedMessage(): undefined | PrefixedSealedAndSignedMessage

- - Defined in src/protobuf/pb_pb.d.ts:3323

  #### Returns undefined | PrefixedSealedAndSignedMessage

### getSenderPubKeyForAddOperationBytes

- getSenderPubKeyForAddOperationBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3328

  #### Returns string | Uint8Array

### getSenderPubKeyForAddOperationBytes_asB64

- getSenderPubKeyForAddOperationBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3330

  #### Returns string

### getSenderPubKeyForAddOperationBytes_asU8

- getSenderPubKeyForAddOperationBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3329

  #### Returns Uint8Array

### hasPrefixedSealedAndSignedMessage

- hasPrefixedSealedAndSignedMessage(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3325

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3341

  #### Returns Uint8Array

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3336

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MailboxStoragePayload

### setPrefixedSealedAndSignedMessage

- setPrefixedSealedAndSignedMessage(value?: PrefixedSealedAndSignedMessage ): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3324

  #### Parameters

  - ##### Optional value: PrefixedSealedAndSignedMessage

  #### Returns MailboxStoragePayload

### setSenderPubKeyForAddOperationBytes

- setSenderPubKeyForAddOperationBytes(value: string | Uint8Array): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3331

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MailboxStoragePayload

### toObject

- toObject(includeInstance?: boolean): MailboxStoragePayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3342

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MailboxStoragePayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3345

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MailboxStoragePayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MailboxStoragePayload, reader: BinaryReader): MailboxStoragePayload

- - Defined in src/protobuf/pb_pb.d.ts:3346

  #### Parameters

  - ##### message: MailboxStoragePayload

  - ##### reader: BinaryReader

  #### Returns MailboxStoragePayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MailboxStoragePayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3344

  #### Parameters

  - ##### message: MailboxStoragePayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MailboxStoragePayload ): MailboxStoragePayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3343

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MailboxStoragePayload

  #### Returns MailboxStoragePayload . AsObject

Generated using TypeDoc